Version: Current – v2.x

### On this page

This endpoint can be used to obtain the status history for a specific individual or business.

### HTTP Request

```plaintext
GET https://api.parallelmarkets.com/v2/partner-records/{id}/statuses
```

- `{id}` - The individual or business ID in your case management account. If an [external_id](https://developer.parallelmarkets.com/docs/server/case-management-api/records/create#using-an-external-identifier) has been set, the `external_id` value can be used instead.

### Query Parameters

[Pagination request parameters](https://developer.parallelmarkets.com/docs/server/case-management-api/introduction#pagination) (optional).

### Response Parameters

| Parameter   | Description |
|-------------|-------------|
| `data`     | An array of [Record Status](https://developer.parallelmarkets.com/docs/server/data-structures#record-status) objects, sorted in ascending order of the `set_at` date. |
| `pagination`| A [Pagination](https://developer.parallelmarkets.com/docs/server/case-management-api/introduction#pagination) object containing a `next_cursor` value that can be used in a subsequent API call to obtain the next page of records. |

### Example Response

```json
{
  "data": [
    {
      "notes": "This is a test note.",
      "set_at": "2023-04-20T18:40:00Z",
      "set_by": {
        "email": "joe@acme.com",
        "first_name": "Joe",
        "last_name": "Bloggs"
      },
      "source": "user",
      "status": "approved"
    },
    {
      "notes": "Status was updated due to risk match.",
      "set_at": "2023-05-20T12:00:00Z",
      "set_by": {
        "email": "joe@acme.com",
        "first_name": "Joe",
        "last_name": "Bloggs"
      },
      "source": "user",
      "status": "declined"
    }
  ],
  "pagination": {
    "next_cursor": "MTIzNDU="
  }
}
```
